Skip to content
GET/api/{version}/objects/picklists
NameDescription
Acceptapplication/json (default) or application/xml
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v17.3/objects/picklists
{ "responseStatus": "SUCCESS", "responseMessage": "Success", "errorCodes": null, "picklists": [ { "name": "agency_name1__c", "label": "Agency Name", "kind": "global", "usedIn": [ { "documentTypeName": "promotional_piece__c", "propertyName": "otherAgencies_pm" } ] }, { "name": "agency_name__c", "label": "Agency Name", "kind": "global", "usedIn": [ { "documentTypeName": "promotional_piece__c", "propertyName": "creativeAgency_pm" } ] }, { "name": "application_type__c", "label": "Application Type", "kind": "global", "usedIn": [ { "documentTypeName": "compliance_package__v", "propertyName": "applicationType_pm" } ] }, { "name": "asset_type__c", "label": "Asset Type", "kind": "global", "usedIn": [ { "documentTypeName": "promotional_piece__c:advertisement__c:web__c", "propertyName": "assetType_pm" }, { "documentTypeName": "claim__c", "propertyName": "assetType_pm" } ] }, { "name": "audience__c", "label": "Audience", "kind": "global", "usedIn": [ { "documentTypeName": "promotional_piece__c", "propertyName": "audience_pm" } ] }, { "name": "branding__c", "label": "Branding", "kind": "global", "usedIn": [ { "documentTypeName": "promotional_piece__c", "propertyName": "brandingStatus_pm" } ] }, { "name": "campaign_name__c", "label": "Campaign", "kind": "global", "usedIn": [ { "documentTypeName": "promotional_piece__c", "propertyName": "campaign_pm" } ] }, { "name": "claim_category__c", "label": "Claim Category", "kind": "global", "usedIn": [ { "documentTypeName": "claim__c", "propertyName": "claimCategory_pm" } ] }, { "name": "email_template_type__v", "label": "Email Template Type", "kind": "global", "system": true, "usedIn": [ { "documentTypeName": "email_template__v", "propertyName": "emailTemplateType_b" } ] }, { "name": "language__v", "label": "Language", "kind": "global", "system": true, "usedIn": [ { "documentTypeName": "base_document__v", "propertyName": "language__v" } ] }, { "name": "material_type__c", "label": "Material Type", "kind": "global", "usedIn": [ { "documentTypeName": "promotional_piece__c", "propertyName": "materialType_pm" } ] }, { "name": "media_type__c", "label": "Media Type", "kind": "global", "usedIn": [ { "documentTypeName": "promotional_piece__c", "propertyName": "mediaType_pm" } ] }, { "name": "method_of_delivery__c", "label": "Method of Delivery", "kind": "global", "usedIn": [ { "documentTypeName": "promotional_piece__c", "propertyName": "methodOfDelivery" } ] }, { "name": "mlr_type__c", "label": "MLR Type", "kind": "global", "usedIn": [ { "documentTypeName": "promotional_piece__c", "propertyName": "mlrType_pm" } ] }, { "name": "product_family__c", "label": "Product Family", "kind": "global", "usedIn": [ { "objectName": "product__v", "propertyName": "product_family__c" } ] }, { "name": "therapeutic_area__c", "label": "Therapeutic Area", "kind": "global", "usedIn": [ { "objectName": "product__v", "propertyName": "therapeutic_area__c" } ] }, { "name": "license_type__v", "label": "License Type", "kind": "user", "system": true }, ], "errorType": null }